Summary:	A game of Belote
Name:		belooted
Version:	0.1.4
Release:	2%{?dist}
License:	GPL v2
Source0:	http://boby.joe.free.fr/dev/belooted/files/%{name}-%{version}.tar.gz
Source1:	belooted-background-default.png
URL:		http://boby.joe.free.fr/dev/belooted/
BuildRequires:	gawk
BuildRequires:	perl-XML-Parser
BuildRequires:	gtk2-devel >= 2.8.0
BuildRequires:	desktop-file-utils
BuildRequires:	gcc
BuildRequires:	perl

%description
Belote is a popular 32-card trick-taking game played in France.
It derived around 1920, probably via Clobyosh, from Klaverjassen,
a game played since at least the 1600s in the Netherlands.
Closely related games are played throughout the world.
Details: http://en.wikipedia.org/wiki/Belote

%prep
%setup -q
cp %{SOURCE1} pixmaps/
sed -i -e 's!background-gnome.jpg!belooted-background-default.png!g' src/options.c

%build
export CFLAGS="-lm $RPM_OPT_FLAGS"
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

install -p -m644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/belooted/
rm -rf %{buildroot}%{_datadir}/pixmaps/belooted/background-gnome.jpg

desktop-file-install --vendor="" \
	--dir %{buildroot}%{_datadir}/applications/ \
	%{buildroot}%{_datadir}/applications/belooted.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*

%changelog
* Fri Oct 30 2020 josef radinger <cheese@nosuchhost.net> - 0.1.4-2
- buildrequires on perl

* Mon Apr 06 2020 josef radinger <cheese@nosuchhost.net> - 0.1.4-1
- rebuild
- specfile cleanup

* Mon Jul 04 2016 Wei-Lun Chao <bluebat@member.fsf.org> - 0.1.4
- Rebuild for Fedora

* Wed Aug 5 2009 Radu-Cristian Fotescu <info [AT] beranger [DOT] org>
- Initial release for this repo. No translations (English-only)
